	// this sets the background color of the master UIView (when there are no windows/tab groups on it)
Titanium.UI.setBackgroundColor('#000');



// User isn't registered
Titanium.App.addEventListener('main', function(e) {

	if(!Titanium.App.Properties.getBool('configured', false)) {
		// create tab group
		var tabGroup = Titanium.UI.createTabGroup({
			tabBarVisible: false,
			bottom:-50
		});
		
		var aboutButton = Titanium.UI.createButton({
			title:'About'
		});
		
		aboutButton.addEventListener('click', function(e) {
			var closeButton = Titanium.UI.createButton({
				title:'Close',
				style:Titanium.UI.iPhone.SystemButtonStyle.DONE
			});

			closeButton.addEventListener('click', function(e) {
				aboutWindow.close();
			});

			var aboutWindow = Titanium.UI.createWindow({
				modal:true,
				title:'About',
				rightNavButton:closeButton
			});

			var aboutText = Titanium.UI.createWebView({
				html:'<html><body>test</body></html>'
			});

			aboutWindow.add(aboutText);
			aboutWindow.open();
		});

		//
		// create base UI tab and root window
		//
		var welcomeWindow = Titanium.UI.createWindow({
			title:'Welcome',
			backgroundColor:'#fff',
			rightNavButton:aboutButton
		});
		
		var loginButton = Titanium.UI.createButton({
			title:'Login',
			height: 40,
			width: 200
		});

		
		loginButton.addEventListener('click', function() {
			var executeLoginButton = Titanium.UI.createButton({
				title:'Login',
				style:Titanium.UI.iPhone.SystemButtonStyle.DONE
			});
			var closeLoginButton = Titanium.UI.createButton({
				title:'Back'
			});
			
			var loginWindow = Titanium.UI.createWindow({
				title:'Login',
				rightNavButton:executeLoginButton,
				leftNavButton:closeLoginButton,
				modal:true
			});
			executeLoginButton.addEventListener('click', function() {
				alert('login');
			});
			closeLoginButton.addEventListener('click', function() {
				loginWindow.close();
			});
			loginWindow.open();
		});
		
		welcomeWindow.add(loginButton);

		var registerButton = Titanium.UI.createButton({
			title:'Register',
			height: 40,
			width: 200,
			top:20
		});

		registerButton.addEventListener('click', function() {
			var executeRegisterButton = Titanium.UI.createButton({
				title:'Register',
				style:Titanium.UI.iPhone.SystemButtonStyle.DONE
			});
			var closeRegisterButton = Titanium.UI.createButton({
				title:'Back'
			});

			var registerWindow = Titanium.UI.createWindow({
				title:'Register',
				rightNavButton:executeRegisterButton,
				leftNavButton:closeRegisterButton,
				modal:true
			});

			var registerData = [];
			
			var usernameRow = Titanium.UI.createTableViewRow({className:'defaultRow', hasChild:false, selectedBackgroundColor: 'white', selectionStyle: 'NONE', selectedColor:'white'});
			var passwordRow = Titanium.UI.createTableViewRow({className:'defaultRow', hasChild:false, selectedBackgroundColor: 'white', selectionStyle: 'NONE', selectedColor:'white'});

			var registerUsername = Titanium.UI.createTextField({
				keyboardType:Titanium.UI.KEYBOARD_EMAIL,
			    autocorrect:false,
			    hintText:'email address',
			    height:29,
				left:10,
			    width:285,
			    clearButtonMode:Titanium.UI.INPUT_BUTTONMODE_ONFOCUS,
				autocapitalization: Titanium.UI.TEXT_AUTOCAPITALIZATION_NONE
			});

			var resgisterPassword = Titanium.UI.createTextField({
			    keyboardType:Titanium.UI.KEYBOARD_DEFAULT,
			    autocorrect:false,
			    hintText:'password',
			    height:29,	
				left:10,
			    width:285,
			    clearButtonMode:Titanium.UI.INPUT_BUTTONMODE_ONFOCUS,
				autocapitalization: Titanium.UI.TEXT_AUTOCAPITALIZATION_NONE,
				passwordMask:true
			});


			usernameRow.add(registerUsername);
			passwordRow.add(resgisterPassword);

			registerData[0] = Titanium.UI.createTableViewSection();
			registerData[0].add(usernameRow);
			registerData[0].add(passwordRow);

			var registerTable = Titanium.UI.createTableView({
				style:Titanium.UI.iPhone.TableViewStyle.GROUPED,
				scrollable: false,
				data:registerData,
			});
			
			registerWindow.add(registerTable);
			
			executeRegisterButton.addEventListener('click', function() {
				alert('register');
			});
			closeRegisterButton.addEventListener('click', function() {
				registerWindow.close();
			});
			registerWindow.open();
		});
		
		welcomeWindow.add(registerButton);
		
		var welcomeTab = Titanium.UI.createTab({
			icon:'KS_nav_ui.png',
			title:'Welcome',
			window:welcomeWindow
		});

		//
		//  add tabs
		//
		tabGroup.addTab(welcomeTab);  


		// open tab group
		tabGroup.open();

	} else { // User is registered

	}
	
});

Titanium.App.fireEvent('main');
